Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

cannot get the FAFSA form. says incompatible browser. i got firefox from link on fafsa's incompatible browser page! Please help

more options

I'm trying to apply for student financial aid. The www.fafsa.ed.gov site keeps blocking my attempts to see the form. It states an incompatible browser is detected. I was using safari & updated with the link from this page. It still wouldn't work. So I downloaded Firefox from a link on this page, and I still can't get the FAFSA form. Can you please tell me what to do next?

All Replies (3)

more options

The newest version of Firefox that seems to work on the FAFSA website is Firefox 3.6.20.

Try using the Firefox Portable 3.6.x version for Mac OSX.
Under "old releases" on this page.
http://www.freesmug.org/portableapps:firefox

Don't copy your existing Profile it that is offered, just let portable create its' own Profile. It won't affect your current Firefox installation.

more options

I have a hp laptop with windows 7, not a mac, so the reply is not helpful, does anyone else know what is going on? I need to make changes asap!!!

more options